GNU bug report logs - #49587
Where are links in describe-symbol minor-mode?

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Juri Linkov <juri@HIDDEN>; merged with #8592; dated Thu, 15 Jul 2021 22:37:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 8592 49587. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 49587 <at> debbugs.gnu.org:


Received: (at 49587) by debbugs.gnu.org; 16 Jul 2021 09:20:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 16 05:20:14 2021
Received: from localhost ([127.0.0.1]:50499 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m4K0z-0000Gg-Vx
	for submit <at> debbugs.gnu.org; Fri, 16 Jul 2021 05:20:14 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38858)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m4K0x-0000GM-OI
 for 49587 <at> debbugs.gnu.org; Fri, 16 Jul 2021 05:20:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=yKMIJGbHTHKaYtiZOcM7W8fAHALKaYSQH6Xrq2J6YWw=; b=WFCbTg2pmKIZM/+dZeh3EQ7Axa
 nMili2NUjlkyNVWZ0/z0RAgb92feXL3HxOi6WwiX4aeA5bai0uy/b70VE9Bu+e1gIh6xsjuMwXsHl
 FWtHW05NJJrg44g7BzOsmzs6ZBGnmke36ynYjlO2ZAPtG5Oo2SStD8i+6Q5kIfIcUKH0=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m4K0o-0002TF-Os; Fri, 16 Jul 2021 11:20:05 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#49587: Where are links in describe-symbol minor-mode?
References: <87a6mngs5m.fsf@HIDDEN>
X-Now-Playing: Four Tet's _Sixteen Oceans_: "Green"
Date: Fri, 16 Jul 2021 11:20:02 +0200
In-Reply-To: <87a6mngs5m.fsf@HIDDEN> (Juri Linkov's message of "Fri, 
 16 Jul 2021 01:17:57 +0300")
Message-ID: <87im1ad399.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: > Try to use 'C-h o'
 on the symbol of a minor mode defined by 'define-minor-mode'. > > There are
 many such symbols, for example: > > C-h o dired-hide-details-mode > > displays
 the Help buffer where te [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49587
Cc: 49587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> Try to use 'C-h o' on the symbol of a minor mode defined by 'define-minor=
-mode'.
>
> There are many such symbols, for example:
>
>   C-h o dired-hide-details-mode
>
> displays the Help buffer where text:
>
>   See options: =E2=80=98dired-hide-details-hide-symlink-targets=E2=80=99 =
and
>   =E2=80=98dired-hide-details-hide-information-lines=E2=80=99.
>
> has no links in the first part of the buffer that describes the function,
> but there are links only in the second part that describes the variable.

I think the *Help* buffer thing is due for an overhaul.  I've been
poking at it to make it more composable, but it's currently implemented
as a series of hacks that insert stuff into the buffer, and then it
later tries to determine what it's just inserted.

This is a fallout of that strategy -- it skips certain paragraphs when
it finally gets around to doing link recognition, instead of just doing
that immediately when inserting the doc string.

There's also the annoying reliance on `standard-output', which is pretty
bizarre, because it means that there's

	  (with-current-buffer standard-output
            ...

all over the place.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49587; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Jul 2021 22:36:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 15 18:36:14 2021
Received: from localhost ([127.0.0.1]:49963 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m49xm-0001St-5p
	for submit <at> debbugs.gnu.org; Thu, 15 Jul 2021 18:36:14 -0400
Received: from lists.gnu.org ([209.51.188.17]:56954)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1m49xi-0001Si-8m
 for submit <at> debbugs.gnu.org; Thu, 15 Jul 2021 18:36:12 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51370)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1m49xh-0002lV-HB
 for bug-gnu-emacs@HIDDEN; Thu, 15 Jul 2021 18:36:09 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:36643)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1m49xd-0007mp-8Q
 for bug-gnu-emacs@HIDDEN; Thu, 15 Jul 2021 18:36:09 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id 30368C0003
 for <bug-gnu-emacs@HIDDEN>; Thu, 15 Jul 2021 22:35:59 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Where are links in describe-symbol minor-mode?
Organization: LINKOV.NET
Date: Fri, 16 Jul 2021 01:17:57 +0300
Message-ID: <87a6mngs5m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=217.70.183.198; envelope-from=juri@HIDDEN;
 helo=relay6-d.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Try to use 'C-h o' on the symbol of a minor mode defined by 'define-minor-mode'.

There are many such symbols, for example:

  C-h o dired-hide-details-mode

displays the Help buffer where text:

  See options: ‘dired-hide-details-hide-symlink-targets’ and
  ‘dired-hide-details-hide-information-lines’.

has no links in the first part of the buffer that describes the function,
but there are links only in the second part that describes the variable.

There is no such problem when a function and a variable are described separately:

  C-h f dired-hide-details-mode
  C-h v dired-hide-details-mode

Also such text in the output of 'C-h o' looks clumsy:

  This is a minor mode.  If called interactively, toggle the
  ‘Dired-Hide-Details mode’ mode.

Another problem is that with 'C-h o' the same Help buffer is displayed twice
that breaks some window-displaying commands.




Acknowledgement sent to Juri Linkov <juri@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#49587; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 17 Jul 2021 14:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.